# Operations

Below is the list of currently implemented spatial operations.

## Partitioning

```@docs
UniformPartitioner
FractionPartitioner
SLICPartitioner
BlockPartitioner
BisectPointPartitioner
BisectFractionPartitioner
BallPartitioner
PlanePartitioner
DirectionPartitioner
VariablePartitioner
PredicatePartitioner
SpatialPredicatePartitioner
ProductPartitioner
HierarchicalPartitioner
```

## Weighting

```@docs
BlockWeighter
DensityRatioWeighter
```

## Sampling

```@docs
UniformSampler
BallSampler
WeightedSampler
```

## Filtering

```@docs
UniqueCoordsFilter
```

## Joining

```@docs
VariableJoiner
```

## Searching

```@docs
NeighborhoodSearcher
NearestNeighborSearcher
BoundedSearcher
```

## Covering

```@docs
RectangleCoverer
```

## Discretizing

```@docs
RegularGridDiscretizer
```
